QGIS Application - Bug report #17967
Browser: deleting raster in GeoPackage doesn't work
2018-01-26 09:05 AM - Jérdme Guélat

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Browser

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25863
Description

Using the browser, it is impossible to delete a raster inside a GeoPackage.

1. Get a GeoPackage with raster data (http://www.geopackage.org/data/gdal_sample v1.2_spatial_index_extension.gpkg) or create

your own.
2. Right-click on the raster layer (which is also badly named in the GDAL sample dataset) and choose delete layer.
3. You get the following error message: Layer URI is malformed.

Related issues:
Related to QGIS Application - Bug report # 19893: It's not possible to delete... Closed 2018-09-19

Associated revisions

Revision e62c4eb9 - 2018-09-20 09:17 AM - Alessandro Pasotti

Fix cannot deletete GPKG from raster on windows

Fixes #17967 #19893

History

#1 - 2018-02-19 03:14 PM - Jérome Guélat

The raster dataset is now correctly named in the browser. Unfortunately it's still impossible to delete it.

#2 - 2018-02-25 11:37 PM - Giovanni Manghi

- Affected QGIS version changed from master to 3.0.0
- Operating System deleted (Windows 7)

Confirmed on QGIS 3.

#3 - 2018-09-20 08:35 AM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#4 - 2018-09-20 09:14 AM - Jurgen Fischer
- Related to Bug report #19893: It's not possible to delete raster layers in geopackages on Windows added

#5 - 2018-09-20 09:18 AM - Alessandro Pasotti
http://www.geopackage.org/data/gdal_sample_v1.2_spatial_index_extension.gpkg

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/7963

#6 - 2018-09-20 10:02 AM - Anonymous
- Status changed from In Progress to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|e62c4eb941c5b2e290675f8cab75758857¢2a502.

#7 - 2018-09-20 10:02 AM - Alessandro Pasotti

- Resolution set to fixed/implemented

#8 - 2018-09-20 10:26 AM - Jér6me Guélat

Thank you!
